> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.chainstack.com/feedback

```json
{
  "path": "/reference/ethereum-transactions-rpc-methods",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Transactions info | Ethereum

> Ethereum transaction info JSON-RPC methods — retrieve transaction data, receipts, and status for monitoring and analyzing on-chain network activity.

<Check>
  ### Get your own node endpoint today

  [Start for free](https:/console.chainstack.com/) and get your app to production levels immediately. No credit card required.

  You can sign up with your GitHub, X, Google, or Microsoft account.
</Check>

Retrieving transaction information from the Ethereum blockchain can be done by using the following methods:

<CardGroup cols={2}>
  <Card title="eth_getTransactionByHash" icon="angle-right" iconType="solid" href="/reference/ethereum-gettransactionbyhash" horizontal />

  <Card title="eth_getTransactionReceipt" icon="angle-right" iconType="solid" href="/reference/ethereum-gettransactionreceipt" horizontal />

  <Card title="eth_getTransactionByBlockHashAndIndex" icon="angle-right" iconType="solid" href="/reference/ethereum-gettransactionbyblockhashandindex" horizontal />

  <Card title="eth_getTransactionByBlockNumberAndIndex" icon="angle-right" iconType="solid" href="/reference/ethereum-gettransactionbyblocknumberandindex" horizontal />

  <Card title="eth_getBlockReceipts" icon="angle-right" iconType="solid" href="/reference/ethereum-getblockreceipts" horizontal />

  <Card title="eth_newPendingTransactionFilter" icon="angle-right" iconType="solid" href="/reference/ethereum-newpendingtransactionfilter" horizontal />
</CardGroup>
